> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aiid.edu.kg/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Kling text-to-video task status

> This series supports OpenAI video generation formats (see the link [Video generation Sora compatible formats](/api-reference/en/video-generation-sora-compatible-format/create-video)).

Query the status and result of a Kling text-to-video task.



## OpenAPI

````yaml api-reference/en/openapi.json GET /kling/v1/videos/text2video/{task_id}
openapi: 3.0.0
info:
  title: Overseas Expansion Camp API Reference Documentation
  version: 1.0.0
  description: Public AI Gateway API Reference
servers:
  - url: https://api.aiid.edu.kg
security:
  - BearerAuth: []
tags:
  - name: OpenAI format (Chat)
  - name: OpenAI Format (Responses)
  - name: Gemini Format for Image Generation
  - name: Image generationOpenAI DALL-E format
  - name: List models
  - name: Video generationHappyHorse and Wan
  - name: Video generation Kling format
  - name: Video generation Omni and Veo formats
  - name: Video generation Seedance
  - name: Video generation Sora compatible formats
  - name: Video generation Vidu
  - name: Music generation task format
paths:
  /kling/v1/videos/text2video/{task_id}:
    get:
      tags:
        - Video generation Kling format
      summary: Get Kling text-to-video task status
      description: >-
        This series supports OpenAI video generation formats (see the link
        [Video generation Sora compatible
        formats](/api-reference/en/video-generation-sora-compatible-format/create-video)).


        Query the status and result of a Kling text-to-video task.
      operationId: getKlingText2Video
      parameters:
        - name: task_id
          in: path
          description: Task ID
          required: true
          example: task-abc123
          schema:
            type: string
      responses:
        '200':
          description: Successfully retrieved task status
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VideoTaskResponse'
          headers: {}
        '404':
          description: Task does not exist
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          headers: {}
      deprecated: false
      security:
        - BearerAuth: []
components:
  schemas:
    VideoTaskResponse:
      type: object
      description: Video task status query response
      properties:
        task_id:
          type: string
          description: Task ID
          example: abcd1234efgh
        status:
          type: string
          description: Task Status
          enum:
            - queued
            - in_progress
            - completed
            - failed
          example: completed
        url:
          type: string
          description: Video resource URL (on success)
          example: https://example.com/video.mp4
        format:
          type: string
          description: Video format
          example: mp4
        metadata:
          $ref: '#/components/schemas/VideoTaskMetadata'
        error:
          $ref: '#/components/schemas/VideoTaskError'
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              description: Error message
            type:
              type: string
              description: Error Type
            param:
              type: string
              description: Related Parameters
              nullable: true
            code:
              type: string
              description: Error Codes
              nullable: true
    VideoTaskMetadata:
      type: object
      description: Video task metadata
      properties:
        duration:
          type: number
          description: Actual generated video duration
          example: 5
        fps:
          type: integer
          description: Actual Frame Rate
          example: 30
        width:
          type: integer
          description: Actual Width
          example: 1280
        height:
          type: integer
          description: Actual Height
          example: 720
        seed:
          type: integer
          description: Random seed used
          example: 20231234
    VideoTaskError:
      type: object
      description: Video task error message
      properties:
        code:
          type: integer
          description: Error Codes
        message:
          type: string
          description: Error message
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: |-
        Use Bearer Token authentication.
        Format: `Authorization: Bearer sk-xxxxxx`

````